using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices; //dodane

namespace WinExec
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        [DllImport("kernel32.dll")]
        static extern uint WinExec(string polecenie, uint stanOkna);

        enum StyleOkna : uint
        { Ukryte = 0, Normalme, Zminimalizowane, Zmaksymalizowane, Nieaktywne, Domyslne = 10 };

        private void button1_Click(object sender, EventArgs e)
        {
            uint wynik = WinExec(textBox1.Text, (uint)StyleOkna.Normalme);
            if (wynik <= 31)
                MessageBox.Show("Błąd "+wynik+"! Nie udało się uruchomić "+textBox1.Text);

        } 


    }
}